# ComponentMetadataSupplier

interface ComponentMetadataSupplier : Action<T>

A component metadata rule is responsible for providing the initial metadata of a component from a remote repository, in place of parsing the descriptor. Users may implement a provider to make dependency resolution faster.

#### Since

4.0

## Functions

execute
Link copied to clipboard
abstract fun execute(details: ComponentMetadataSupplierDetails)
Supply metadata for a component.
invoke
Link copied to clipboard
operator fun <T : Any> Action<in T>.invoke(target: T)

Enables function invocation syntax on Action references.